Subject: bug#25851: 25.2; GTK warning when starting Emacs when desktop file has more than one frame

From: martin rudalics <[email-masked]>
Date: Mon, 06 Mar 2017 19:44:37 +0100

>> One thing that doesn't work are negative offsets like in emacs
 >> -Q -g 80x40-20-20.
 >
 > Here I can successfully position frames partially off the display
 > (using the mouse) but when they are restored from a desktop file,
 > they are moved slightly so that are fully on the display. (Perhaps
 > this is what you mean?) I don't see that this is necessarily bad
 > behaviour. (Others might (probably will!) disagree of course...)

The -20-20 are supposed to put the frame's right and lower edge at a
distance of 20 pixels from the right and bottom edge of the display.
This doesn't work any more because the corresponding calculations in
xg_set_geometry are not done any more.  I moved them to x_set_offset
here.

martin